> ## Documentation Index
> Fetch the complete documentation index at: https://developers.criteo.com/llms.txt
> Use this file to discover all available pages before exploring further.

# /preview/marketing-solutions/report/products/export

> Creates an all-products report export job.
<br />
This endpoint is subject to specific rate limits.



## OpenAPI

````yaml https://api.criteo.com/preview/marketingsolutions/open-api-specifications.json post /preview/marketing-solutions/report/products/export
openapi: 3.0.1
info:
  title: Criteo API
  description: Criteo API - MarketingSolutions
  version: Preview
servers:
  - url: https://api.criteo.com
security:
  - oauth: []
tags:
  - name: Advertiser
  - name: Analytics
  - name: Audience
  - name: Campaign
  - name: Catalog
  - name: Creative
  - name: Gateway
  - name: OnSiteRecommendation
  - name: Reco
paths:
  /preview/marketing-solutions/report/products/export:
    post:
      tags:
        - Analytics
      summary: /preview/marketing-solutions/report/products/export
      description: "Creates an all-products report export job.\r\n<br />\r\nThis endpoint is subject to specific rate limits."
      operationId: CreateAllProductsExport
      requestBody:
        description: The all-products report export request.
        content:
          application/json:
            schema:
              $ref: >-
                #/components/schemas/GenerateAllProductsReportRequestAttributesRequest
          application/xml:
            schema:
              $ref: >-
                #/components/schemas/GenerateAllProductsReportRequestAttributesRequest
          text/xml:
            schema:
              $ref: >-
                #/components/schemas/GenerateAllProductsReportRequestAttributesRequest
          application/*+xml:
            schema:
              $ref: >-
                #/components/schemas/GenerateAllProductsReportRequestAttributesRequest
      responses:
        '200':
          description: Success
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ExportStatusModelResponse'
            application/xml:
              schema:
                $ref: '#/components/schemas/ExportStatusModelResponse'
            text/xml:
              schema:
                $ref: '#/components/schemas/ExportStatusModelResponse'
      security:
        - oauth:
            - MarketingSolutions_Analytics_Read
components:
  schemas:
    GenerateAllProductsReportRequestAttributesRequest:
      type: object
      properties:
        data:
          $ref: >-
            #/components/schemas/GenerateAllProductsReportRequestAttributesResource
      additionalProperties: false
      description: >-
        A top-level object that encapsulates a Criteo API request for a single
        value object.
    ExportStatusModelResponse:
      type: object
      properties:
        data:
          $ref: '#/components/schemas/ExportStatusModelResource'
        errors:
          type: array
          items:
            $ref: '#/components/schemas/CommonProblem'
          description: Errors that occured during this call.
          nullable: true
          readOnly: true
        warnings:
          type: array
          items:
            $ref: '#/components/schemas/CommonProblem'
          description: Warnings that occured during this call.
          nullable: true
          readOnly: true
      additionalProperties: false
      description: >-
        A top-level object that encapsulates a Criteo API response for a single
        value object.
    GenerateAllProductsReportRequestAttributesResource:
      type: object
      properties:
        attributes:
          $ref: '#/components/schemas/GenerateAllProductsReportRequestAttributes'
        type:
          type: string
          description: Type of the resource.
          nullable: true
      additionalProperties: false
      description: A value resource exposed by the API.
    ExportStatusModelResource:
      type: object
      properties:
        attributes:
          $ref: '#/components/schemas/ExportStatusModel'
        type:
          type: string
          description: Type of the resource.
          nullable: true
      additionalProperties: false
      description: A value resource exposed by the API.
      nullable: true
    CommonProblem:
      type: object
      properties:
        code:
          type: string
          description: A machine-readable error code, expressed as a string value.
          nullable: true
        detail:
          type: string
          description: >-
            A human-readable explanation specific to this occurrence of the
            problem
          nullable: true
        instance:
          type: string
          description: A URI that identifies the specific occurrence of the problem.
          nullable: true
        source:
          type: object
          additionalProperties:
            type: string
          description: >-
            A machine-readable structure to reference to the exact location(s)
            causing the error(s)
          nullable: true
        stackTrace:
          type: string
          nullable: true
        title:
          type: string
          description: A short human-readable description of the problem type
          nullable: true
        traceId:
          type: string
          description: The request correlation ID this problem comes from.
          nullable: true
        traceIdentifier:
          type: string
          description: >-
            The request correlation ID this problem comes from. (deprecated, use
            traceId instead)
          nullable: true
        type:
          enum:
            - unknown
            - access-control
            - authentication
            - authorization
            - availability
            - deprecation
            - quota
            - validation
          type: string
          description: The problem's category.
          nullable: true
      description: Common problem object.
    GenerateAllProductsReportRequestAttributes:
      required:
        - advertiserIds
        - startDate
      type: object
      properties:
        adSetIds:
          type: array
          items:
            type: string
          description: The list of ad set ids.
          nullable: true
        advertiserIds:
          type: array
          items:
            type: string
          description: The list of advertiser account IDs.
        campaignIds:
          type: array
          items:
            type: string
          description: The list of campaign ids.
          nullable: true
        currency:
          type: string
          description: >-
            The currency used for the report. ISO 4217 code (three-letter
            capitals).
          default: EUR
          nullable: true
        dimensions:
          type: array
          items:
            enum:
              - AdvertiserId
              - PartnerId
              - CampaignId
              - AdSetId
              - ProductId
              - SellerId
            type: string
          description: The dimensions for the report.
          nullable: true
        endDate:
          type: string
          description: >-
            End date of the report. ISO 8601 date-time (UTC). Defaults to Now if
            not provided.
          format: date-time
          nullable: true
        fileFormat:
          type: string
          description: 'The output file format. Supported: csv, json.'
          default: csv
          nullable: true
        metrics:
          type: array
          items:
            enum:
              - Clicks
              - Displays
              - Ctr
              - Visits
              - Sales
              - Cost
              - Revenue
            type: string
          description: The list of metrics to report.
          nullable: true
        sellerIds:
          type: array
          items:
            type: string
          description: The list of seller ids.
          nullable: true
        startDate:
          type: string
          description: Start date of the report. ISO 8601 date-time (UTC).
          format: date-time
        timezone:
          type: string
          description: The timezone used for the report. Timezone Database format (Tz).
          default: UTC
          nullable: true
      additionalProperties: false
      description: >-
        This is the message defining the query for AllProducts report (async
        export)
    ExportStatusModel:
      type: object
      properties:
        exportId:
          type: string
          description: 'Export id (UUID), ex.: "e0893b6b-be25-477f-9ca3-e6e8c8ec9e30"'
          nullable: true
        message:
          type: string
          nullable: true
        status:
          enum:
            - Unknown
            - Pending
            - Done
            - Failure
            - Expired
          type: string
          nullable: true
      additionalProperties: false
      description: Status returned for an asynchronous export job.
      nullable: true
  securitySchemes:
    oauth:
      type: oauth2
      flows:
        clientCredentials:
          tokenUrl: https://api.criteo.com/oauth2/token
          scopes: {}
        authorizationCode:
          authorizationUrl: https://api.criteo.com/oauth2
          tokenUrl: https://api.criteo.com/oauth2/token
          scopes: {}

````